=== debian/changelog ===
dtkcore (5.6.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 Oct 2023 15:35:08 +0800

dtkcore (5.6.12) unstable; urgency=medium

  * Release 5.6.12
  * add DLicenseInfo 
  * cached memoryInstalledSize
  * FIX developer-center#4348

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 May 2023 11:18:15 +0800

dtkcore (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * add color to ConsoleAppender
  * remove build warning
  
 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 11:48:45 +0800

dtkcore (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * support XDG_SESSION_DESKTOP set to DDE

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:08:28 +0800

dtkcore (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 09:48:07 +0800

dtkcore (5.6.8) unstable; urgency=medium

  * Release 5.6.8

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 14:09:56 +0800

dtkcore (5.6.6) unstable; urgency=medium

  * Release 5.6.6

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 21 Feb 2023 12:25:24 +0800

dtkcore (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 02 Feb 2023 14:25:36 +0800
