## dtkcore 5.7.9

=== debian/changelog ===
dtkcore (5.7.9-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 15:11:16 -0500

dtkcore (5.7.9-1~exp2) experimental; urgency=medium

  * debian/control: Let libdtkcore-dev Breaks+Replaces:
    libdtkcommon-dev (<< 5.7.5). (Closes: #1095715)

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 11:50:59 -0500

dtkcore (5.7.9-1~exp1) experimental; urgency=medium

  * New upstream release 5.7.9.
  * debian/libdtkcore5.shlibs: Require library version (>= 5.7).
  * debian/control: Require dtkcommon (>= 5.7.9) for dtklog.
  * Upload to experimental.
  * debian/patches: Dropped, not needed.
  * debian/rules: Enable -DBUILD_WITY_SYSTEMD.
  * debian/libdtkcore5-bin.install: Updated.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2025 19:36:21 -0500
