## dtkcore 5.7.11

=== debian/changelog ===
dtkcore (5.7.11-2) unstable; urgency=medium

  * debian/control: Add explicit build-dep libdtklog-dev.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 22:16:17 -0500

dtkcore (5.7.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 13:28:20 -0500
