=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
  cmake,
  doxygen <!nodoc>,
  libchardet-dev,
- libdtkcommon-dev (>= 5.7.9-2~),
+ libdtkcommon-dev (>= 5.7.11),
+ libdtklog-dev,
  libgsettings-qt-dev,
  libgtest-dev,
  libicu-dev,
@@ -25,7 +26,7 @@
  qttools5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/linuxdeepin/dtkcore
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcore.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcore
